Main Page Class Hierarchy Compound List File List Compound Members File Members

# fft99.c File Reference

`#include <math.h>`
`#include "fft99.h"`

Go to the source code of this file.

## Functions
void | fact (long n, long *ifax)
void | cftrig (long n, double *trigs)
void | vpassm (double *a, double *b, double *c, double *d, double *trigs, long inc1, long inc2, long inc3, long inc4, long lot, long n, long ifac, long la)
void | fft99a (double *a, double *work, double *trigs, long inc, long jump, long n, long lot)
void | fft99b (double *work, double *a, double *trigs, long inc, long jump, long n, long lot)
void | fax (long *ifax, long n)
void | fftrig (double *trigs, long n)
void | cfft99 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | cftfax (long n, long *ifax, double *trigs)
void | fft99 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | fft991 (double *a, double *work, double *trigs, long *ifax, long inc, long jump, long n, long lot, long isign)
void | fftfax (long n, long *ifax, double *trigs)

## Function Documentation

void cfft99 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 40 of file fft99.c. References vpassm().

void cftfax | ( | long | n,
|  | long * | ifax,
|  | double * | trigs
| ) |

| Definition at line 471 of file fft99.c. References cftrig(), and fact().

void cftrig | ( | long | n,
|  | double * | trigs
| ) | `[static]`

| Definition at line 597 of file fft99.c. References PI. Referenced by cftfax().

void fact | ( | long | n,
|  | long * | ifax
| ) | `[static]`

| Definition at line 511 of file fft99.c. Referenced by cftfax().

void fax | ( | long * | ifax,
|  | long | n
| ) | `[static]`

| Definition at line 1822 of file fft99.c. Referenced by fftfax().

void fft99 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 1058 of file fft99.c. References fft99a(), fft99b(), and vpassm().

void fft991 | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long * | ifax,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot,
|  | long | isign
| ) |

| Definition at line 1636 of file fft99.c. References fft99a(), fft99b(), and vpassm(). Referenced by convertWave(), gma(), and respLen().

void fft99a | ( | double * | a,
|  | double * | work,
|  | double * | trigs,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot
| ) | `[static]`

| Definition at line 1439 of file fft99.c. Referenced by fft99(), and fft991().

void fft99b | ( | double * | work,
|  | double * | a,
|  | double * | trigs,
|  | long | inc,
|  | long | jump,
|  | long | n,
|  | long | lot
| ) | `[static]`

| Definition at line 1533 of file fft99.c. Referenced by fft99(), and fft991().

void fftfax | ( | long | n,
|  | long * | ifax,
|  | double * | trigs
| ) |

| Definition at line 1804 of file fft99.c. References fax(), and fftrig(). Referenced by makeTrigs().

void fftrig | ( | double * | trigs,
|  | long | n
| ) | `[static]`

| Definition at line 1912 of file fft99.c. References PI. Referenced by fftfax().

void vpassm | ( | double * | a,
|  | double * | b,
|  | double * | c,
|  | double * | d,
|  | double * | trigs,
|  | long | inc1,
|  | long | inc2,
|  | long | inc3,
|  | long | inc4,
|  | long | lot,
|  | long | n,
|  | long | ifac,
|  | long | la
| ) | `[static]`

| Definition at line 614 of file fft99.c. References id. Referenced by cfft99(), fft99(), and fft991().